package com.ruoyi.index.mapper;

import java.util.List;
import com.ruoyi.index.domain.IndexS;

/**
 * 基础指标Mapper接口
 * 
 * @author ruoyi
 * @date 2021-12-28
 */
public interface IndexSMapper 
{
    /**
     * 查询基础指标
     * 
     * @param id 基础指标主键
     * @return 基础指标
     */
    public IndexS selectIndexSById(Long id);

    /**
     * 查询基础指标列表
     * 
     * @param indexS 基础指标
     * @return 基础指标集合
     */
    public List<IndexS> selectIndexSList(IndexS indexS);

    /**
     * 新增基础指标
     * 
     * @param indexS 基础指标
     * @return 结果
     */
    public int insertIndexS(IndexS indexS);

    /**
     * 修改基础指标
     * 
     * @param indexS 基础指标
     * @return 结果
     */
    public int updateIndexS(IndexS indexS);

    /**
     * 删除基础指标
     * 
     * @param id 基础指标主键
     * @return 结果
     */
    public int deleteIndexSById(Long id);

    /**
     * 批量删除基础指标
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIndexSByIds(String[] ids);

	public IndexS selectIndexSByName(String name);
}
